commit:     1b459774031bee83e9f607f3cfffc0feba319907
Author:     Yifeng Li <tomli <AT> tomli <DOT> me>
AuthorDate: Mon May 15 01:53:33 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue May 23 14:28:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b459774

net-vpn/i2p: remove ecdsa flag in 0.9.30, since DSA is being replaced.

Signed-off-by: Yifeng Li <tomli <AT> tomli.me>
Closes: https://github.com/gentoo/gentoo/pull/4571

 net-vpn/i2p/i2p-0.9.30.ebuild | 32 +++++++++-----------------------
 1 file changed, 9 insertions(+), 23 deletions(-)

diff --git a/net-vpn/i2p/i2p-0.9.30.ebuild b/net-vpn/i2p/i2p-0.9.30.ebuild
index 7b4348c6cc4..c475d04fc0a 100644
--- a/net-vpn/i2p/i2p-0.9.30.ebuild
+++ b/net-vpn/i2p/i2p-0.9.30.ebuild
@@ -14,7 +14,7 @@ SLOT="0"
 
 # Until the deps reach other arches
 KEYWORDS="~amd64 ~x86"
-IUSE="+ecdsa nls"
+IUSE="nls"
 
 # dev-java/ant-core is automatically added due to java-ant-2.eclass
 CP_DEPEND="dev-java/bcprov:1.50
@@ -31,17 +31,14 @@ DEPEND="${CP_DEPEND}
        >=virtual/jdk-1.7"
 
 RDEPEND="${CP_DEPEND}
-       ecdsa? (
-               || (
-                       dev-java/icedtea:7[-sunec]
-                       dev-java/icedtea:8[-sunec]
-                       dev-java/icedtea-bin:7
-                       dev-java/icedtea-bin:8
-                       dev-java/oracle-jre-bin
-                       dev-java/oracle-jdk-bin
-               )
-       )
-       !ecdsa? ( >=virtual/jre-1.7 )"
+    || (
+               dev-java/icedtea:7[-sunec]
+               dev-java/icedtea:8[-sunec]
+               dev-java/icedtea-bin:7
+               dev-java/icedtea-bin:8
+               dev-java/oracle-jre-bin
+               dev-java/oracle-jdk-bin
+    )"
 
 EANT_BUILD_TARGET="pkg"
 JAVA_ANT_ENCODING="UTF-8"
@@ -141,17 +138,6 @@ pkg_postinst() {
        elog 'I2P can be configured through the web interface at 
http://localhost:7657/console'
        elog
 
-       if use !ecdsa
-       then
-               ewarn 'DSA keys are being retired since 0.9.30. You should have 
the ecdsa USE to ensure'
-               ewarn 'the flawless operation of your i2p.'
-               ewarn
-               ewarn "This is purely a run-time issue. You're free to build 
i2p with any JDK, as long as"
-               ewarn 'the JVM you run it with is one of the above listed and 
from the same or a newer generation'
-               ewarn 'as the one you built with.'
-               ewarn
-       fi
-
        ewarn "The router will migrate the jetty.xml for each Jetty website to 
the new Jetty 9 setup during startup."
        ewarn "This should work for recent, unmodified configurations but may 
not work for modified or"
        ewarn "very old setups. Verify that your Jetty website works after 
upgrading, and contact i2p"

Reply via email to